From 12d231eeb3d853217dd6e0527da7e286cdc1346b Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Randy=20D=C3=B6ring?=
 <30527984+radoering@users.noreply.github.com>
Date: Mon, 29 May 2023 18:40:35 +0200
Subject: [PATCH 1/2] chore: update dev dependencies for Python 3.12
 compatibility (#597)

---
 poetry.lock                             | 170 ++++++++++++------------
 tests/masonry/builders/test_complete.py |   3 +-
 tests/masonry/builders/test_wheel.py    |   5 +-
 3 files changed, 91 insertions(+), 87 deletions(-)

diff --git a/tests/masonry/builders/test_complete.py b/tests/masonry/builders/test_complete.py
index 4e4dff0..c9429c1 100644
--- a/tests/masonry/builders/test_complete.py
+++ b/tests/masonry/builders/test_complete.py
@@ -19,6 +19,7 @@ import pytest
 from poetry.core import __version__
 from poetry.core.factory import Factory
 from poetry.core.masonry.builder import Builder
+from tests.masonry.builders.test_wheel import WHEEL_TAG_REGEX
 
 
 if TYPE_CHECKING:
@@ -82,7 +83,7 @@ def test_wheel_c_extension(project: str, exptected_c_dir: str) -> None:
 Wheel-Version: 1.0
 Generator: poetry-core {__version__}
 Root-Is-Purelib: false
-Tag: cp[23]_?\\d+-cp[23]_?\\d+m?u?-.+
+Tag: {WHEEL_TAG_REGEX}
 $""",
                 wheel_data,
             )
diff --git a/tests/masonry/builders/test_wheel.py b/tests/masonry/builders/test_wheel.py
index d25d642..c41e4a5 100644
--- a/tests/masonry/builders/test_wheel.py
+++ b/tests/masonry/builders/test_wheel.py
@@ -25,6 +25,9 @@ if TYPE_CHECKING:
 fixtures_dir = Path(__file__).parent / "fixtures"
 
 
+WHEEL_TAG_REGEX = "[cp]p[23]_?\\d+-(?:cp[23]_?\\d+m?u?|pypy[23]_?\\d+_pp\\d+)-.+"
+
+
 @pytest.fixture(autouse=True)
 def setup() -> Iterator[None]:
     clear_samples_dist()
@@ -365,7 +368,7 @@ def test_tag(in_venv_build: bool, mocker: MockerFixture) -> None:
     if not in_venv_build:
         mocker.patch("sys.executable", "other/python")
 
-    assert re.match("^cp[23]_?\\d+-cp[23]_?\\d+m?u?-.+$", builder.tag)
+    assert re.match(f"^{WHEEL_TAG_REGEX}$", builder.tag)
     if in_venv_build:
         get_sys_tags_spy.assert_not_called()
     else:
-- 
2.40.1

